<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));

load_theme_textdomain('eyebo');
?>
<?php function eyebo_widget_meta($args) {
	extract($args);
	$options = get_option('widget_meta');
	$title = empty($options['title']) ? __('Meta') : $options['title'];
	echo $before_widget . $before_title . $title . $after_title;
?>
			<ul>
                <?php wp_register(); ?>
					<li><a href="http://validator.w3.org/check/referer" title="<?php _e('This page validates as XHTML 1.0 Transitional', 'eyebo'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>', 'eyebo'); ?></a></li>
					<li><a href="http://gmpg.org/xfn/"><abbr title="<?php _e('XHTML Friends Network', 'eyebo'); ?>"><?php _e('XFN', 'eyebo'); ?></abbr></a></li>					<li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.', 'eyebo'); ?>">WordPress</a></li>
                    <li class="rss"><a href="<?php bloginfo('rss2_url'); ?>">(RSS2.0)</a></li>
				<li class="atom"><a href="<?php bloginfo('atom_url'); ?>">(Atom)</a></li>
					<?php wp_meta(); ?>
			</ul>
<?php
	echo $after_widget;
}
wp_register_sidebar_widget('meta', __('Meta'), 'eyebo_widget_meta');
?>
<?php
//Trackbacks
function custom_pings($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
?>
<li class="<?php echo $oddcomment; ?> bubble" id="comment-<?php comment_ID() ?>">
<blockquote>
  <?php comment_text() ?>
  </blockquote>
  <cite>
  <?php comment_author_link() ?> | <?php comment_date(__('Y-m-d (D)','eyebo')) ?><?php comment_time(__('G:i','eyebo')) ?>
  <?php edit_comment_link(__('Edit','eyebo'),' | ',''); ?>
  </cite>
  <?php if ($comment->comment_approved == '0') : ?>
   <em><?php _e('Your comment is awaiting moderation.', 'eyebo'); ?></em>
  <?php endif; ?>
<?php } ?>
<?php
//comments
function custom_comments($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    global $commentcount;
    if(!$commentcount) $commentcount = 0;
    $commentcount ++;
    global $commentalt;
    ($commentalt == "alt")?$commentalt="":$commentalt="alt";   
?>
<li class="<?php echo $oddcomment; ?> bubble" id="comment-<?php comment_ID() ?>">
  <blockquote>
    <?php comment_text() ?>
  </blockquote>
  <cite><?php if(function_exists('get_avatar')) { echo get_avatar($comment, '32'); } ?>
  <?php comment_author_link() ?> | <?php comment_date(__('Y-m-d (D)','eyebo')) ?> | <?php comment_time(__('G:i','eyebo')) ?>
   | <?php comment_reply_link(array('depth' => $depth, 'max_depth'=> $args['max_depth'], 'reply_text' => __('Reply' , 'eyebo')));?>
  <?php edit_comment_link(__('Edit','eyebo'),' | ',''); ?>
  </cite>
  <?php if ($comment->comment_approved == '0') : ?>
  <em><?php _e('Your comment is awaiting moderation.', 'eyebo'); ?></em>
  <?php endif; ?>
<?php } ?>